<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">


        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="16dp">


                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/title_text"
                    style="@style/TextViewMaterial.Dialog.HeadlineText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="8dp"
                    android:gravity="center_horizontal"
                    android:text="@string/info" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/loading_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <!--                    <androidx.appcompat.widget.AppCompatTextView-->
                    <!--                        style="@style/TextViewMaterial.Dialog.HeadlineText"-->
                    <!--                        android:layout_width="match_parent"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:gravity="center_horizontal"-->
                    <!--                        android:text="@string/loading" />-->

                    <ProgressBar
                        android:id="@+id/progressBar"
                        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:indeterminate="true" />


                </androidx.appcompat.widget.LinearLayoutCompat>


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/content_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:gravity="center_horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/AppTheme.NewMaterial.Text.Medium"
                        android:text="Linee di impegno"
                        android:layout_marginBottom="8dp"/>


                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:id="@+id/content_view_child"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>


            </LinearLayout>
        </ScrollView>


    </androidx.cardview.widget.CardView>
</layout>